#include <kdialog.h>
#include <klocale.h>

#ifndef UI_FLICKRALBUMDIALOG_H
#define UI_FLICKRALBUMDIALOG_H

#include <qvariant.h>


#include <Qt3Support/Q3MimeSourceFactory>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QFrame>
#include <QtGui/QGridLayout>
#include <QtGui/QHBoxLayout>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QSpacerItem>
#include <QtGui/QVBoxLayout>

namespace KIPIFlickrExportPlugin {

class Ui_FlickrAlbumDialog
{
public:
    QVBoxLayout *vboxLayout;
    QLabel *header;
    QFrame *hline1;
    QGridLayout *gridLayout;
    QLabel *titleLabel;
    QLabel *nameLabel;
    QLabel *captionLabel;
    QLineEdit *titleEdit;
    QLineEdit *nameEdit;
    QLineEdit *captionEdit;
    QFrame *hline2;
    QHBoxLayout *hboxLayout;
    QSpacerItem *Horizontal_Spacing2;
    QPushButton *buttonOk;
    QPushButton *buttonCancel;

    void setupUi(QDialog *FlickrAlbumDialog)
    {
    if (FlickrAlbumDialog->objectName().isEmpty())
        FlickrAlbumDialog->setObjectName(QString::fromUtf8("FlickrAlbumDialog"));
    FlickrAlbumDialog->resize(342, 181);
    FlickrAlbumDialog->setSizeGripEnabled(false);
    vboxLayout = new QVBoxLayout(FlickrAlbumDialog);
    vboxLayout->setSpacing(5);
    vboxLayout->setMargin(10);
    vboxLayout->setObjectName(QString::fromUtf8("vboxLayout"));
    header = new QLabel(FlickrAlbumDialog);
    header->setObjectName(QString::fromUtf8("header"));
    header->setWordWrap(false);

    vboxLayout->addWidget(header);

    hline1 = new QFrame(FlickrAlbumDialog);
    hline1->setObjectName(QString::fromUtf8("hline1"));
    hline1->setFrameShape(QFrame::HLine);
    hline1->setFrameShadow(QFrame::Sunken);

    vboxLayout->addWidget(hline1);

    gridLayout = new QGridLayout();
    gridLayout->setSpacing(6);
    gridLayout->setObjectName(QString::fromUtf8("gridLayout"));
    titleLabel = new QLabel(FlickrAlbumDialog);
    titleLabel->setObjectName(QString::fromUtf8("titleLabel"));
    titleLabel->setWordWrap(false);

    gridLayout->addWidget(titleLabel, 0, 0, 1, 1);

    nameLabel = new QLabel(FlickrAlbumDialog);
    nameLabel->setObjectName(QString::fromUtf8("nameLabel"));
    nameLabel->setWordWrap(false);

    gridLayout->addWidget(nameLabel, 1, 0, 1, 1);

    captionLabel = new QLabel(FlickrAlbumDialog);
    captionLabel->setObjectName(QString::fromUtf8("captionLabel"));
    captionLabel->setWordWrap(false);

    gridLayout->addWidget(captionLabel, 2, 0, 1, 1);

    titleEdit = new QLineEdit(FlickrAlbumDialog);
    titleEdit->setObjectName(QString::fromUtf8("titleEdit"));

    gridLayout->addWidget(titleEdit, 0, 1, 1, 1);

    nameEdit = new QLineEdit(FlickrAlbumDialog);
    nameEdit->setObjectName(QString::fromUtf8("nameEdit"));

    gridLayout->addWidget(nameEdit, 1, 1, 1, 1);

    captionEdit = new QLineEdit(FlickrAlbumDialog);
    captionEdit->setObjectName(QString::fromUtf8("captionEdit"));

    gridLayout->addWidget(captionEdit, 2, 1, 1, 1);


    vboxLayout->addLayout(gridLayout);

    hline2 = new QFrame(FlickrAlbumDialog);
    hline2->setObjectName(QString::fromUtf8("hline2"));
    hline2->setFrameShape(QFrame::HLine);
    hline2->setFrameShadow(QFrame::Sunken);

    vboxLayout->addWidget(hline2);

    hboxLayout = new QHBoxLayout();
    hboxLayout->setSpacing(6);
    hboxLayout->setMargin(0);
    hboxLayout->setObjectName(QString::fromUtf8("hboxLayout"));
    Horizontal_Spacing2 = new QSpacerItem(20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum);

    hboxLayout->addItem(Horizontal_Spacing2);

    buttonOk = new QPushButton(FlickrAlbumDialog);
    buttonOk->setObjectName(QString::fromUtf8("buttonOk"));
    buttonOk->setAutoDefault(true);
    buttonOk->setDefault(true);

    hboxLayout->addWidget(buttonOk);

    buttonCancel = new QPushButton(FlickrAlbumDialog);
    buttonCancel->setObjectName(QString::fromUtf8("buttonCancel"));
    buttonCancel->setAutoDefault(true);

    hboxLayout->addWidget(buttonCancel);


    vboxLayout->addLayout(hboxLayout);


    retranslateUi(FlickrAlbumDialog);
    QObject::connect(buttonOk, SIGNAL(clicked()), FlickrAlbumDialog, SLOT(accept()));
    QObject::connect(buttonCancel, SIGNAL(clicked()), FlickrAlbumDialog, SLOT(reject()));

    QMetaObject::connectSlotsByName(FlickrAlbumDialog);
    } // setupUi

    void retranslateUi(QDialog *FlickrAlbumDialog)
    {
    FlickrAlbumDialog->setWindowTitle(tr2i18n("New PhotoSet", 0));
    header->setText(tr2i18n("<h3>Create New PhotoSet </h3>", 0));
    titleLabel->setText(tr2i18n("Title (optional):", 0));
    nameLabel->setText(tr2i18n("Name (optional):", 0));
    captionLabel->setText(tr2i18n("Caption (optional):", 0));
    buttonOk->setText(tr2i18n("&OK", 0));
    buttonOk->setShortcut(QString());
    buttonCancel->setText(tr2i18n("&Cancel", 0));
    buttonCancel->setShortcut(QString());
    Q_UNUSED(FlickrAlbumDialog);
    } // retranslateUi

};

} // namespace KIPIFlickrExportPlugin

namespace KIPIFlickrExportPlugin {
namespace Ui {
    class FlickrAlbumDialog: public Ui_FlickrAlbumDialog {};
} // namespace Ui
} // namespace KIPIFlickrExportPlugin

namespace KIPIFlickrExportPlugin {
class FlickrAlbumDialog : public QDialog, public Ui::FlickrAlbumDialog
{
    Q_OBJECT

public:
    FlickrAlbumDialog(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~FlickrAlbumDialog();

protected slots:
    virtual void languageChange();

};
}

#endif // FLICKRALBUMDIALOG_H

