#include <kdialog.h>
#include <klocale.h>

#ifndef UI_NEWALBUMDIALOG_H
#define UI_NEWALBUMDIALOG_H

#include <qvariant.h>


#include <Qt3Support/Q3ButtonGroup>
#include <Qt3Support/Q3DateTimeEdit>
#include <Qt3Support/Q3MimeSourceFactory>
#include <Qt3Support/Q3TextEdit>
#include <QtCore/QVariant>
#include <QtGui/QAction>
#include <QtGui/QApplication>
#include <QtGui/QButtonGroup>
#include <QtGui/QDialog>
#include <QtGui/QLabel>
#include <QtGui/QLineEdit>
#include <QtGui/QPushButton>
#include <QtGui/QRadioButton>

namespace KIPIPicasawebExportPlugin {

class Ui_NewAlbumDialog
{
public:
    QLabel *textLabel1;
    Q3ButtonGroup *m_accessRadioButton;
    QRadioButton *m_isUnlistedRadioButton;
    QRadioButton *m_isPublicRadioButton;
    QPushButton *m_cancelButton;
    QLabel *textLabel3;
    QLabel *textLabel2;
    QLabel *textLabel4;
    QLineEdit *m_titleLineEdit;
    QLineEdit *m_locationLineEdit;
    Q3DateTimeEdit *m_dateAndTimeEdit;
    Q3TextEdit *m_descriptionTextBox;
    QPushButton *m_createAlbumButton;

    void setupUi(QDialog *NewAlbumDialog)
    {
    if (NewAlbumDialog->objectName().isEmpty())
        NewAlbumDialog->setObjectName(QString::fromUtf8("NewAlbumDialog"));
    NewAlbumDialog->resize(504, 339);
    textLabel1 = new QLabel(NewAlbumDialog);
    textLabel1->setObjectName(QString::fromUtf8("textLabel1"));
    textLabel1->setGeometry(QRect(30, 20, 111, 21));
    textLabel1->setWordWrap(false);
    m_accessRadioButton = new Q3ButtonGroup(NewAlbumDialog);
    m_accessRadioButton->setObjectName(QString::fromUtf8("m_accessRadioButton"));
    m_accessRadioButton->setGeometry(QRect(160, 220, 300, 71));
    m_isUnlistedRadioButton = new QRadioButton(m_accessRadioButton);
    m_isUnlistedRadioButton->setObjectName(QString::fromUtf8("m_isUnlistedRadioButton"));
    m_isUnlistedRadioButton->setGeometry(QRect(10, 40, 111, 21));
    m_isPublicRadioButton = new QRadioButton(m_accessRadioButton);
    m_isPublicRadioButton->setObjectName(QString::fromUtf8("m_isPublicRadioButton"));
    m_isPublicRadioButton->setGeometry(QRect(10, 20, 141, 21));
    m_cancelButton = new QPushButton(NewAlbumDialog);
    m_cancelButton->setObjectName(QString::fromUtf8("m_cancelButton"));
    m_cancelButton->setGeometry(QRect(400, 300, 71, 31));
    textLabel3 = new QLabel(NewAlbumDialog);
    textLabel3->setObjectName(QString::fromUtf8("textLabel3"));
    textLabel3->setGeometry(QRect(30, 50, 71, 21));
    textLabel3->setWordWrap(false);
    textLabel2 = new QLabel(NewAlbumDialog);
    textLabel2->setObjectName(QString::fromUtf8("textLabel2"));
    textLabel2->setGeometry(QRect(30, 90, 91, 21));
    textLabel2->setWordWrap(false);
    textLabel4 = new QLabel(NewAlbumDialog);
    textLabel4->setObjectName(QString::fromUtf8("textLabel4"));
    textLabel4->setGeometry(QRect(30, 200, 121, 21));
    textLabel4->setWordWrap(false);
    m_titleLineEdit = new QLineEdit(NewAlbumDialog);
    m_titleLineEdit->setObjectName(QString::fromUtf8("m_titleLineEdit"));
    m_titleLineEdit->setGeometry(QRect(160, 20, 251, 21));
    m_locationLineEdit = new QLineEdit(NewAlbumDialog);
    m_locationLineEdit->setObjectName(QString::fromUtf8("m_locationLineEdit"));
    m_locationLineEdit->setGeometry(QRect(160, 200, 291, 21));
    m_dateAndTimeEdit = new Q3DateTimeEdit(NewAlbumDialog);
    m_dateAndTimeEdit->setObjectName(QString::fromUtf8("m_dateAndTimeEdit"));
    m_dateAndTimeEdit->setGeometry(QRect(160, 50, 261, 22));
    m_descriptionTextBox = new Q3TextEdit(NewAlbumDialog);
    m_descriptionTextBox->setObjectName(QString::fromUtf8("m_descriptionTextBox"));
    m_descriptionTextBox->setGeometry(QRect(160, 90, 301, 91));
    m_createAlbumButton = new QPushButton(NewAlbumDialog);
    m_createAlbumButton->setObjectName(QString::fromUtf8("m_createAlbumButton"));
    m_createAlbumButton->setGeometry(QRect(290, 300, 101, 31));

    retranslateUi(NewAlbumDialog);
    QObject::connect(m_createAlbumButton, SIGNAL(clicked()), NewAlbumDialog, SLOT(accept()));
    QObject::connect(m_cancelButton, SIGNAL(clicked()), NewAlbumDialog, SLOT(reject()));

    QMetaObject::connectSlotsByName(NewAlbumDialog);
    } // setupUi

    void retranslateUi(QDialog *NewAlbumDialog)
    {
    NewAlbumDialog->setWindowTitle(tr2i18n("New Album Dialog", 0));
    textLabel1->setText(tr2i18n("Title", 0));
    m_accessRadioButton->setTitle(tr2i18n("Access Level", 0));
    m_isUnlistedRadioButton->setText(tr2i18n("Unlisted ", 0));
    m_isPublicRadioButton->setText(tr2i18n("Public", 0));
    m_cancelButton->setText(tr2i18n("Cancel", 0));
    textLabel3->setText(tr2i18n("Date", 0));
    textLabel2->setText(tr2i18n("Description", 0));
    textLabel4->setText(tr2i18n("Place Taken", 0));
    m_createAlbumButton->setText(tr2i18n("Create", 0));
    Q_UNUSED(NewAlbumDialog);
    } // retranslateUi

};

} // namespace KIPIPicasawebExportPlugin

namespace KIPIPicasawebExportPlugin {
namespace Ui {
    class NewAlbumDialog: public Ui_NewAlbumDialog {};
} // namespace Ui
} // namespace KIPIPicasawebExportPlugin

namespace KIPIPicasawebExportPlugin {
class NewAlbumDialog : public QDialog, public Ui::NewAlbumDialog
{
    Q_OBJECT

public:
    NewAlbumDialog(QWidget* parent = 0, const char* name = 0, bool modal = false, Qt::WindowFlags fl = 0);
    ~NewAlbumDialog();

protected slots:
    virtual void languageChange();

    void creatAlbumSlot();
    void cancelWindowSlot();


};
}

#endif // NEWALBUMDIALOG_H

